<?php
session_start();
header( 'Content-type: text/html; charset=windows-1251' );
error_reporting( 1 );
require($_SERVER['DOCUMENT_ROOT']."/sfb.php");

$id_user = (isset($_SESSION["iduser"]) && preg_match("|^[\d]{1,11}$|", trim($_SESSION["iduser"]))) ? intval(trim($_SESSION["iduser"])) : false;

if(!isset($_SESSION['iduser'])) { exit(); }
if(!isset($_POST['func'])) { exit(); }
if($_SERVER['HTTP_X_REQUESTED_WITH'] != "XMLHttpRequest") { exit(); }

// добавление комментаря
if($_POST['func'] == "add_comm") {
$id = intval($_POST["id"]);
$comment = check_text($_POST["comm"]);
if(strlen( $comment ) > 5){
mysql_query("INSERT INTO `afbcomments` (`idnew`, `data`, `user`, `comment`) VALUES ('$id', '".date('d.m.Y')."', '".$_SESSION["username"]."', '$comment')") OR die(mysql_error());
}
}

// удаление комментаря
if($_POST['func'] == "dell_comm") {
$id = intval($_POST["id"]);
// проверка на администратора
if($user_status == 'admin'){
mysql_query("DELETE FROM `afbcomments` WHERE `id`='$id'")or die(mysql_error());
}
}
?>